/* ---------------animation START--------------- */

/* ---------------animation-before START--------------- */
/* .ani-text{display: inline-block;overflow: hidden;}
.ani-text .ani-inner{display: inline-block;opacity: 0;transform: translateY(100%);transition-property: transform, opacity;transition-duration: 1s;}
.opacity-text{opacity: 0; transition-property: opacity;transition-duration: 1s;} */
.fade{opacity: 0;transition-property: opacity;transition-duration: 1s;}
.fade-blur{opacity: 0;filter: blur(4px); transition-property: opacity, filter;transition-duration: 1s;}
.fade-up{opacity: 0;transform: translateY(3rem);transition-property: transform, opacity;transition-duration: 1s;}
.fade-down{opacity: 0;transform: translateY(-3rem);transition-property: transform, opacity;transition-duration: 1s;}
.fade-left{opacity: 0;transform: translateX(-3rem);transition-property: transform, opacity;transition-duration: 1s;}
.fade-right{opacity: 0;transform: translateX(3rem);transition-property: transform, opacity;transition-duration: 1s;}
.fade-blur-up{opacity: 0;transform: translateY(3rem);filter: blur(4px); transition-property: transform, opacity, filter;transition-duration: 1s;}
.fade-blur-down{opacity: 0;transform: translateY(-3rem);filter: blur(4px); transition-property: transform, opacity, filter;transition-duration: 1s;}
.fade-blur-left{opacity: 0;transform: translateX(-3rem);filter: blur(4px); transition-property: transform, opacity, filter;transition-duration: 1s;}
.fade-blur-right{opacity: 0;transform: translateX(3rem);filter: blur(4px); transition-property: transform, opacity, filter;transition-duration: 1s;}
.clip-top{clip-path: inset(0 0 100% 0);transition-property: clip-path;transition-duration: 1s;}
.clip-bottom{clip-path: inset(100% 0 0 0);transition-property: clip-path;transition-duration: 1s;}
.clip-left{clip-path: inset(0 100% 0 0);transition-property: clip-path;transition-duration: 1s;}
.clip-right{clip-path: inset(0 0 0 100%);transition-property: clip-path;transition-duration: 1s;}
.clip-opacity-top{opacity: 0;clip-path: inset(0 0 100% 0);transition-property: clip-path, opacity;transition-duration: 1s;}
.clip-opacity-bottom{opacity: 0;clip-path: inset(100% 0 0 0);transition-property: clip-path, opacity;transition-duration: 1s;}
.clip-opacity-left{opacity: 0;clip-path: inset(0 100% 0 0);transition-property: clip-path, opacity;transition-duration: 1s;}
.clip-opacity-right{opacity: 0;clip-path: inset(0 0 0 100%);transition-property: clip-path, opacity;transition-duration: 1s;}
.clip-opacity-blur-top{opacity: 0;clip-path: inset(0 0 100% 0);filter: blur(3px);transition-property: clip-path, opacity, filter;transition-duration: 1s;}
.clip-opacity-blur-bottom{opacity: 0;clip-path: inset(100% 0 0 0);filter: blur(3px);transition-property: clip-path, opacity, filter;transition-duration: 1s;}
.clip-opacity-blur-left{opacity: 0;clip-path: inset(0 100% 0 0);filter: blur(3px);transition-property: clip-path, opacity, filter;transition-duration: 1s;}
.clip-opacity-blur-right{opacity: 0;clip-path: inset(0 0 0 100%);filter: blur(3px);transition-property: clip-path, opacity, filter;transition-duration: 1s;}
.border-ani{opacity: 0;border-radius: 50%;transition-property: border-radius opacity;transition-duration: 1s;}
/* ---------------animation-before END--------------- */


/* ---------------animation-after1 START--------------- */
/* .animate .ani-text{}
.animate .ani-text .ani-inner{opacity: 1;transform: translateY(0%);}
.animate .opacity-text{opacity: 1;} */
.animate .fade{opacity: 1;}
.animate .fade-blur{opacity: 1;filter: blur(0px);}
.animate .fade-up, .animate .fade-down, .animate .fade-left, .animate .fade-right{opacity: 1;transform: translateY(0rem);}
.animate .fade-blur-up, .animate .fade-blur-down, .animate .fade-blur-left, .animate .fade-blur-right{opacity: 1;transform: translateY(0rem);filter: blur(0px);}
.animate .clip-top, .animate .clip-bottom, .animate .clip-left, .animate .clip-right{clip-path: inset(0 0 0 0);}
.animate .clip-opacity-top, .animate .clip-opacity-bottom, .animate .clip-opacity-left, .animate .clip-opacity-right{opacity: 1;clip-path: inset(0 0 0 0);}
.animate .clip-opacity-blur-top, .animate .clip-opacity-blur-bottom, .animate .clip-opacity-blur-left, .animate .clip-opacity-blur-right{opacity: 1;clip-path: inset(0 0 0 0);filter: blur(0px);}
.animate .border-ani{opacity: 1;border-radius: 3rem;}
/* ---------------animation-after1 END--------------- */


/* ---------------animation-after2 START--------------- */
/* .animate.ani-text .ani-inner{opacity: 1;transform: translateY(0%);}
.animate.opacity-text{opacity: 1;} */
.animate.fade{opacity: 1;}
.animate.fade-blur{opacity: 1;filter: blur(0px);}
.animate.fade-up, .animate.fade-down, .animate.fade-left, .animate.fade-right{opacity: 1;transform: translateY(0rem);}
.animate.fade-blur-up, .animate.fade-blur-down, .animate.fade-blur-left, .animate.fade-blur-right{opacity: 1;transform: translateY(0rem);filter: blur(0px);}
.animate.border-ani{opacity: 1;border-radius: 3rem;}
/* ---------------animation-after2 END--------------- */

/* ---------------animation END--------------- */


/* ---------------transition-delay START--------------- */
.delay50{transition-delay: 0.050s;}
.delay75{transition-delay: 0.075s;}
.delay100{transition-delay: 0.1s;}
.delay150{transition-delay: 0.15s;}
.delay175{transition-delay: 0.175s;}
.delay200{transition-delay: 0.2s;}
.delay225{transition-delay: 0.225s;}
.delay250{transition-delay: 0.25s;}
.delay300{transition-delay: 0.3s;}
.delay350{transition-delay: 0.35s;}
.delay375{transition-delay: 0.375s;}
.delay400{transition-delay: 0.4s;}
.delay450{transition-delay: 0.45s;}
.delay500{transition-delay: 0.5s;}
.delay525{transition-delay: 0.525s;}
.delay550{transition-delay: 0.55s;}
.delay600{transition-delay: 0.6s;}
.delay650{transition-delay: 0.65s;}
.delay675{transition-delay: 0.675s;}
.delay700{transition-delay: 0.7s;}
.delay750{transition-delay: 0.75s;}
.delay800{transition-delay: 0.8s;}
.delay825{transition-delay: 0.825s;}
.delay900{transition-delay: 0.9s;}
.delay975{transition-delay: 0.975s;}
.delay1000{transition-delay: 1.0s;}
.delay1100{transition-delay: 1.1s;}
.delay1200{transition-delay: 1.2s;}
.delay1300{transition-delay: 1.3s;}
.delay1400{transition-delay: 1.4s;}
.delay1500{transition-delay: 1.5s;}
.delay1600{transition-delay: 1.6s;}
.delay1700{transition-delay: 1.7s;}
.delay1800{transition-delay: 1.8s;}
.delay1900{transition-delay: 1.9s;}
.delay2000{transition-delay: 2.0s;}
/* ---------------transition-delay END--------------- */


/* ---------------transition-duration START--------------- */
.duration10{transition-duration: 0.1s;}
.duration20{transition-duration: 0.2s;}
.duration30{transition-duration: 0.3s;}
.duration40{transition-duration: 0.4s;}
.duration50{transition-duration: 0.5s;}
.duration60{transition-duration: 0.6s;}
.duration70{transition-duration: 0.7s;}
.duration80{transition-duration: 0.8s;}
.duration90{transition-duration: 0.9s;}
.duration100{transition-duration: 1.0s;}
.duration110{transition-duration: 1.1s;}
.duration120{transition-duration: 1.2s;}
.duration130{transition-duration: 1.3s;}
.duration140{transition-duration: 1.4s;}
.duration150{transition-duration: 1.5s;}
.duration160{transition-duration: 1.6s;}
.duration170{transition-duration: 1.7s;}
.duration180{transition-duration: 1.8s;}
.duration190{transition-duration: 1.9s;}
.duration200{transition-duration: 2.0s;}
/* ---------------transition-duration END--------------- */